package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 钻井数据补录日志表;
 *
 * @author : http://www.chiner.pro
 * @date : 2025-1-2
 */
@TableName("yj_drilling_data_supplementation_log")
@Data
public class YjDrillingDataSupplementationLog implements Serializable {

    /**
     * 主键
     */
    @TableId
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 井表名
     */
    private String jhTableName;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 补录数量
     */
    private Integer dataNum;
    /**
     * 状态;0:待开始 1:补录中 2:已完成
     */
    private String status;
    /**
     * 创建时间
     */
    private Date createTime;
}
