package com.cn.tianji.controller;

//import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
//import com.cn.tianji.common.CommonUtils;
//import com.cn.tianji.common.RedisUtil;
import com.cn.tianji.common.StringUtils;
//import com.cn.tianji.entity.WellDrilling;
//import com.cn.tianji.entity.WorkingConditionCalculationLog;
import com.cn.tianji.service.BizService;
import com.cn.tianji.service.SendWellDrillingMessageService;
import com.cn.tianji.service.WellDrillingService;
import com.cn.tianji.service.WorkingConditionCalculationLogService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("/analog")
@Slf4j
public class AnalogController {

//    @Resource
//    private SendWellDrillingMessageService sendWellDrillingMessageService;
//    @Resource
//    private WorkingConditionCalculationLogService workingConditionCalculationLogService;
//    @Resource
//    private WellDrillingService wellDrillingService;

    @Resource
    private BizService bizService;

//    @Resource
//    private RedisUtil redisUtil;

//    @GetMapping("analogSendData")
//    private void analogSendData (@RequestParam("workingConditionCalculationLogId") String workingConditionCalculationLogId){
//        WorkingConditionCalculationLog workingConditionCalculationLogModel = workingConditionCalculationLogService.getById(workingConditionCalculationLogId);
//        String jh = workingConditionCalculationLogModel.getJh();
//        String startTime = workingConditionCalculationLogModel.getStartTime();
//        String endTime = workingConditionCalculationLogModel.getEndTime();
//        String isDelRedis = workingConditionCalculationLogModel.getIsDelRedis();
//        List<WellDrilling> list = queryList(jh, startTime, endTime);
//        if ("1".equals(isDelRedis)) {
//            deleteRedisByJh(jh);
//        }
//        list.forEach(item -> {
//           // sendWellDrillingMessageService.sendMessage(item.getOperatingMode(), item, item.getJh());
//        });
//    }
//
//    public void deleteRedisByJh(String jh) {
//        String redisHasKeyHookLoad = jh + "_hook_load_real_time_computing";
//        String redisHasKeyPumping = jh + "_pumping_pressure_real_time_computing";
//        String redisHasKeyTorque = jh + "_torque_real_time_computing";
//        String redisHasKeyTotalPool = jh + "_total_pool_volume_real_time_computing";
//
//        log.info("清除缓存;井:{}",jh);
//        redisUtil.del(redisHasKeyHookLoad);
//        redisUtil.del(redisHasKeyPumping);
//        redisUtil.del(redisHasKeyTorque);
//        redisUtil.del(redisHasKeyTotalPool);
//        System.out.println("清除缓存完成");
//    }
//
//    public List<WellDrilling> queryList(String jh, String startTime, String endTime) {
//        QueryWrapper<WellDrilling> wrapper = new QueryWrapper<>();
//        wrapper.apply("TO_DATE(SUBSTR(TIME, 1, 19), 'yyyy-MM-dd HH24:mi:ss') <= to_date({0},'yyyy-mm-dd hh24:mi:ss')", endTime);
//        wrapper.apply("TO_DATE(SUBSTR(TIME, 1, 19), 'yyyy-MM-dd HH24:mi:ss') >= to_date({0},'yyyy-mm-dd hh24:mi:ss')", startTime);
//        wrapper.orderByAsc("TIME");
//        String jhTableName = CommonUtils.getJhTableName(jh);
//        return wellDrillingService.selectListOrcale(jhTableName, wrapper);
//    }

    @GetMapping("dataSupplementation")
    public void dataSupplementation(@RequestParam("startTime")String startTime,@RequestParam("endTime")String endTime){
        if(StringUtils.isEmpty(startTime)||StringUtils.isEmpty(endTime)){
            return;
        }
        List<String> jhList=bizService.getSyncTableList();
        for (String jh :jhList){
            bizService.syncTableData(jh,startTime,endTime);
        }
    }
}
