package com.cn.tianji.controller;

import com.cn.tianji.service.PullSICPDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@RestController
@RequestMapping("/taskTest")
@Slf4j
public class TaskTestController {

    @Resource
    private PullSICPDataService pullSICPDataService;

    @GetMapping("/taskTest")
    public void testPull(){
        pullSICPDataService.updateJh();
    }

    @GetMapping("/updTableByJhs")
    public void updTableByJhs(){
        List<String> jhs=new ArrayList<>();
        jhs.add("顺深2斜");
        pullSICPDataService.updTableByJhs(jhs);
    }

    @GetMapping("/pullData")
    public void pullData(){
        List<String> jhs=new ArrayList<>();
        jhs.add("顺深2斜");
        pullSICPDataService.pullData(jhs);
    }
}
