package com.cn.tianji.task;

import com.cn.tianji.service.PullSICPDataService;
import com.cn.tianji.service.WlwmroDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * 定时任务调度
 *
 * @author Zhao RenJi
 */
@Component("PullSICPDataTask")
@Slf4j
public class PullSICPDataTask {


    @Resource
    private WlwmroDataService wlwmroDataService;

    @Resource
    private PullSICPDataService pullSICPDataService;

//    public void updatePullJhList(){
//        //后去接口中所有井号
//        List<WellName> allJhSicp = pullDataSICPService.getAllJhSicp();
//        //获取生产日报中所有井号
//        List<Map<String, String>> allJh = wlwmroDataService.getAllJh();
//        if(allJhSicp.size()>0){
//            List<String> jhList=new ArrayList<>();
//            allJhSicp.forEach(item->{
//                String wellName = item.getWellName();
//                //判断井号是否包含在生产日报井数据中
//                boolean contains = allJh.stream()
//                        .anyMatch(map -> map.containsKey("jh") && map.get("jh").equals(wellName));
//                if(!contains){
//                    jhList.add(wellName);
//                }
//            });
//        }
//    }

//    @PostConstruct
//    public void createTable(){
//        List<String> jhs=new ArrayList<>();
//        jhs.add("顺北806斜");
//        pullSICPDataService.createTable(jhs);
//    }


//    @Scheduled(fixedDelay = 40,timeUnit = TimeUnit.SECONDS,initialDelay = 30L)
    public void pullDataTask(){
        List<String> jhs=new ArrayList<>();
        jhs.add("顺北806斜");
        log.info("sicp数据采集任务执行");
        pullSICPDataService.pullData(jhs);
    }

}
