package com.cn.tianji.common;

import com.cn.tianji.entity.WellDrilling;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 钻进钩载缓存实体类
 */
@Data
public class DrillingHookloadNewCatch implements Serializable {

    /**
     * 井号
     */
    private String jh;

    /**
     * 钻进钩载缓存数据 默认缓存10分钟数据
     */
    private List<WellDrilling> drillingReferenceList;

    /**
     * 钻进钩载计算参考值
     */
    private BigDecimal drillingReferenceWoh;

    /**
     * 当前缓存钻进钩载数据
     */
    private List<WellDrilling> nowDrillingReferenceList;


}
