package com.cn.tianji.common;


import com.cn.tianji.entity.PumpingPressureWarnLog;
import com.cn.tianji.entity.WellDrilling;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author Zhao RenJi
 */
@Data
public class PumpingPressureCatch implements Serializable {

    private String jh;

    private List<WellDrilling> perPoint;

    private WellDrilling warnStartPoint;

    /**
     * 预警缓存数据
     */
    private List<PumpingPressureWarnLog> warnList;

    private Date lastWarnDate;

    /**
     * 计算步骤
     */
    private Integer calStep;

    private WellDrilling pumpChangePoint;
}
