package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 钻井工况计算日志表;
 * @author : http://www.chiner.pro
 * @date : 2024-5-15
 */
@TableName("working_condition_calculation_log")
@Data
public class WorkingConditionCalculationLog  implements Serializable {
    private static final long serialVersionUID = 1L;
    /** 主键 */
    @TableId
    private String id;
    /** 井号 */
    private String jh;
    /** 是否正在计算 */
    private String isCalculate;
    /** 开始时间 */
    private String startTime;
    /** 结束时间 */
    private String endTime;
    /** 正在计算时间 */
    private String calTime;
    /** 计算类别: 0:工况计算 1:预警计算 */
    private String calculateType;

    /**是否清除缓存数据 0:是 1:否**/
    private String isDelRedis;

    /** 创建时间 */
    private Date createTime;



}
