package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 泵压预警阈值;
 *
 * @author : http://www.chiner.pro
 * @date : 2025-1-7
 */
@TableName("yj_pumping_warn_value")
@Data
public class YjPumpingWarnValue implements Serializable, Cloneable {

    /**
     * 主键
     */
    @TableId
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 泵压监测最小值
     */
    private BigDecimal pumpingMin;
    /**
     * 泵压监测最大值
     */
    private BigDecimal pumpingMax;
    /**
     * 总泵冲监测阈值
     */
    private BigDecimal pumpingWarnValue;
    /**
     * 泵压监测阈值 0代表无限大
     */
    private BigDecimal sppWarnValue;
    /**
     * 钻头监测阈值
     */
    private BigDecimal bitdepth;
    /**
     * 排序码
     */
    private Integer sortCode;
    /**
     * 创建时间
     */
    private Date createTime;
}
