package com.cn.tianji.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 总池体积预警阈值;
 *
 * @author : http://www.chiner.pro
 * @date : 2025-1-7
 */
@TableName("yj_total_pool_warn_value")
@Data
public class YjTotalPoolWarnValue implements Serializable {

    /**
     * 主键
     */
    @TableId
    private String id;
    /**
     * 井号
     */
    private String jh;
    /**
     * 均值阈值
     */
    private BigDecimal pittotalWarn;
    /**
     * 速率阈值
     */
    private BigDecimal ranteWarn;
    /**
     * 钻头监测阈值
     */
    private BigDecimal bitdepth;
    /**
     * 预警类别
     */
    private String warnType;
    /**
     * 创建时间
     */
    private Date createTime;
}
