package com.cn.tianji.enums;


import lombok.Getter;

/**
 * 钻进工况活动钻具动作枚举
 * @author Zhao RenJi
 */
@Getter
public enum DrillingActionEnum {

    /**
     *上提钻具
     */
    LiftingDrillingTools("上提钻具"),

    /**
     *干倒划
     */
    DryInvertedScratch("干倒划"),

    /**
     *边提边循环
     */
    LoopWhileLifting("边提边循环"),

    /**
     *倒划眼
     */
    BackReaming("倒划眼"),

    /**
     *下放钻具
     */
    LoweringDrillingTools("下放钻具"),
    /**
     *干划眼
     */
    DryEyeScratching("干划眼"),

    /**
     *坐卡
     */
    LoopWhilePlacing("边放边循环"),

    /**
     *待命
     */
    Reaming("划眼");

    private final String value;

    DrillingActionEnum(String value) {
        this.value = value;
    }

    public String getValue(){
        return value;
    }
}
