package com.cn.tianji.enums;

import lombok.Getter;

@Getter
public enum DrillingActionPumpingEnum {
    /**
     *滑动钻进
     */
    SlidingDrilling("滑动钻进"),

    /**
     *旋转钻进
     */
    RotaryDrilling("旋转钻进"),

    /**
     *静止循环
     */
    StationaryCycle("静止循环"),

    /**
     *循环空转
     */
    CycleIdle("循环空转"),

    /**
     *边提边循环
     */
    LoopWhileLifting("边提边循环"),

    /**
     *坐卡
     */
    LoopWhilePlacing("边放边循环"),

    /**
     *待命
     */
    Reaming("划眼");

    private final String value;

    DrillingActionPumpingEnum(String value) {
        this.value = value;
    }
}
