package com.cn.tianji.enums;

import lombok.Getter;

/**
 * 钻进工况上提钻具动作枚举
 * @author Zhao RenJi
 */
@Getter
public enum DrillingUpActionEnum {
    
    /**
     *上提钻具
     */
    LiftingDrillingTools("上提钻具"),

    /**
     *干倒划
     */
    DryInvertedScratch("干倒划"),

    /**
     *边提边循环
     */
    LoopWhileLifting("边提边循环"),

    /**
     *倒划眼
     */
    BackReaming("倒划眼");

    private final String value;

    DrillingUpActionEnum(String value) {
        this.value = value;
    }

    public String getValue(){
        return value;
    }
}
