package com.cn.tianji.enums;

import lombok.Getter;

/**
 * 起下钻工况枚举
 * @author Zhao RenJi
 */
@Getter
public enum WorkingConditionEnum {
    /**
     * 起钻
     */
    TripOut("起钻"),

    /**
     * 下钻
     */
    DrillingIn("下钻");

    private final String value;

    WorkingConditionEnum(String value) {
        this.value = value;
    }
}
